org.h2.build

## Class Build

- java.lang.Object
- - org.h2.build.BuildBase
  - - org.h2.build.Build

    public class Build
    extends BuildBase

The build definition.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.h2.build.BuildBase

`BuildBase.Description, BuildBase.FileList, BuildBase.StringList`

### Field Summary

### Fields inherited from class org.h2.build.BuildBase

`javaExecutable, javaToolsJar, quiet, sysOut`

### Constructor Summary

Constructors
Constructor and Description
`Build()`

### Method Summary

Methods
`void` `benchmark()` Run the benchmarks.
`void` `clean()` Clean all jar files, classes, and generated documentation.
`void` `compile()` Compile all classes.
`void` `coverage()` Run the JaCoco code coverage.
`void` `docs()` Create the documentation from the documentation sources.
`void` `download()` Download all required jar files.
`protected java.lang.String` `getLocalMavenDir()`
`void` `installer()` Create the h2.zip file and the Windows installer.
`void` `jar()` Create the regular h2.jar file.
`void` `jarClient()` Create the h2client.jar.
`void` `jarMVStore()` Create the file h2mvstore.jar.
`void` `jarSmall()` Create the file h2small.jar.
`void` `javadoc()` Create the Javadocs of the API (incl.
`void` `javadocImpl()` Create the Javadocs of the implementation.
`static void` `main(java.lang.String... args)` Run the build.
`void` `mavenDeployCentral()` This will build a release of the H2 .jar files and upload it to file:///data/h2database/m2-repo.
`void` `mavenInstallLocal()` This will build a 'snapshot' H2 .jar file and upload it to the local Maven 2 repository.
`void` `offline()` Build the jar file without downloading any files over the network.
`void` `spellcheck()` Just run the spellchecker.
`void` `test()` Compile and run all tests.
`void` `testNetwork()` Test the local network of this machine.
`void` `testSysProperties()` Print the system properties.
`void` `testTravis()` Compile and run all fast tests.
`void` `uploadBuild()` This build target is used for the automated build.
`void` `warConsole()` Build the h2console.war file.

### Methods inherited from class org.h2.build.BuildBase

`all, args, beep, copy, delete, delete, download, downloadUsingMaven, exec, execJava, execScript, files, getJavaSpecVersion, getJavaVersion, getSHA1, getStaticField, getStaticValue, jar, java, javac, javadoc, mkdir, print, println, projectHelp, readFile, replaceAll, run, writeFile, zip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Build

    public Build()

### Method Detail

#### main

    public static void main(java.lang.String... args)

Run the build.

Parameters:
  `args` - the command line arguments

#### benchmark

    @BuildBase.Description(summary="Run the benchmarks.")
    public void benchmark()

Run the benchmarks.

#### clean

    @BuildBase.Description(summary="Clean all jar files, classes, and generated documentation.")
    public void clean()

Clean all jar files, classes, and generated documentation.

#### compile

    @BuildBase.Description(summary="Compile all classes.")
    public void compile()

Compile all classes.

#### coverage

    @BuildBase.Description(summary="Run the JaCoco code coverage.")
    public void coverage()

Run the JaCoco code coverage.

#### docs

    @BuildBase.Description(summary="Create the documentation from sources (incl. API Javadocs).")
    public void docs()

Create the documentation from the documentation sources. API Javadocs are created as well.

#### download

    @BuildBase.Description(summary="Download all required jar files.")
    public void download()

Download all required jar files. Actually those are only compile time dependencies. The database can be used without any dependencies.

#### installer

    @BuildBase.Description(summary="Create the h2.zip file and the Windows installer.")
    public void installer()

Create the h2.zip file and the Windows installer.

#### jar

    @BuildBase.Description(summary="Create the regular h2.jar file.")
    public void jar()

Create the regular h2.jar file.

#### jarClient

    @BuildBase.Description(summary="Create h2client.jar with only the remote JDBC implementation.")
    public void jarClient()

Create the h2client.jar. This only contains the remote JDBC implementation.

#### jarMVStore

    @BuildBase.Description(summary="Create h2mvstore.jar containing only the MVStore.")
    public void jarMVStore()

Create the file h2mvstore.jar. This only contains the MVStore.

#### jarSmall

    @BuildBase.Description(summary="Create h2small.jar containing only the embedded database.")
    public void jarSmall()

Create the file h2small.jar. This only contains the embedded database. Debug information is disabled.

#### javadoc

    @BuildBase.Description(summary="Create the API Javadocs (incl. JDBC API and tools).")
    public void javadoc()

Create the Javadocs of the API (incl. the JDBC API) and tools.

#### javadocImpl

    @BuildBase.Description(summary="Create the Javadocs of the implementation.")
    public void javadocImpl()

Create the Javadocs of the implementation.

#### mavenDeployCentral

    @BuildBase.Description(summary="Build H2 release jars and upload to file:///data/h2database/m2-repo.")
    public void mavenDeployCentral()

This will build a release of the H2 .jar files and upload it to file:///data/h2database/m2-repo. This is only required when a new H2 version is made.

#### mavenInstallLocal

    @BuildBase.Description(summary="Build a snapshot H2 jar and upload to local Maven 2 repo.")
    public void mavenInstallLocal()

This will build a 'snapshot' H2 .jar file and upload it to the local Maven 2 repository.

#### offline

    @BuildBase.Description(summary="Build H2 jar avoiding downloads (list missing files).")
    public void offline()

Build the jar file without downloading any files over the network. If the required files are missing, they are listed, and the jar file is not built.

#### spellcheck

    @BuildBase.Description(summary="Run the spellchecker.")
    public void spellcheck()

Just run the spellchecker.

#### test

    @BuildBase.Description(summary="Compile and run all tests (excluding the compile step).")
    public void test()

Compile and run all tests. This does not include the compile step.

#### testTravis

    @BuildBase.Description(summary="Compile and run all tests for Travis (excl. the compile step).")
    public void testTravis()

Compile and run all fast tests. This does not include the compile step.

#### testSysProperties

    @BuildBase.Description(summary="Print the system properties.")
    public void testSysProperties()

Print the system properties.

#### testNetwork

    @BuildBase.Description(summary="Test the local network of this machine.")
    public void testNetwork()

Test the local network of this machine.

#### uploadBuild

    @BuildBase.Description(summary="Upload all build results to the public website.")
    public void uploadBuild()

This build target is used for the automated build. It copies the result of the automated build (including test results, newsfeed, code coverage) to the public web site.

#### warConsole

    @BuildBase.Description(summary="Build the h2console.war file.")
    public void warConsole()

Build the h2console.war file.

#### getLocalMavenDir

    protected java.lang.String getLocalMavenDir()

Overrides:
  `getLocalMavenDir` in class `BuildBase`